Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class RangeValidatorSupport<T extends Comparable>

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.RangeValidatorSupport<T>

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

Direct Known Subclasses:
  DateRangeFieldValidator, IntRangeFieldValidator, LongRangeFieldValidator, ShortRangeFieldValidator

    public abstract class RangeValidatorSupport<T extends Comparable>

extends FieldValidatorSupport

Base class for range based validators. Use this class to develop any other custom range validators.

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey, stack`

Constructor Summary
`protected` | `RangeValidatorSupport(Class<T> type)`

Method Summary
`T` | `getMax()`
`T` | `getMin()`
`void` | `setMax(T max)`
`void` | `setMaxExpression(String maxExpression)`
`void` | `setMin(T min)`
`void` | `setMinExpression(String minExpression)`
`void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getMessageParameters, getValidatorContext, isShortCircuit, parse, setDefaultMessage, setMessageKey, setMessageParameters, setShortCircuit, setValidatorContext, setValueStack`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getMessageParameters, getValidatorContext, setDefaultMessage, setMessageKey, setMessageParameters, setValidatorContext, setValueStack`

Constructor Detail

### RangeValidatorSupport

    protected RangeValidatorSupport(Class<T> type)

Method Detail

### validate

    public void validate(Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Parameters:
    `object` - the object to be validated.
  Throws:
    `ValidationException` - is thrown if there is validation error(s).

### setMin

    public void setMin(T min)

### getMin

    public T getMin()

### setMinExpression

    public void setMinExpression(String minExpression)

### setMax

    public void setMax(T max)

### getMax

    public T getMax()

### setMaxExpression

    public void setMaxExpression(String maxExpression)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.